> For the complete documentation index, see [llms.txt](https://docs.sportmonks.com/v3/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportmonks.com/v3/motorsport-api/endpoints-and-entities/entities/league.md).

# League

**Related endpoints**

{% content-ref url="/pages/d2DW5NlsX4VkxSkUV40E" %}
[Leagues](/v3/motorsport-api/endpoints-and-entities/endpoints/leagues.md)
{% endcontent-ref %}

**Field description**

| Field            | Description                                                    | Type          |
| ---------------- | -------------------------------------------------------------- | ------------- |
| `id`             | Refers to the unique id of the league                          | integer       |
| `sport_id`       | Refers to the sport of the league                              | integer       |
| `country_id`     | Refers to the country of the league                            | integer       |
| `name`           | The name of the league                                         | string        |
| `active`         | Indicates if the league is active or inactive                  | integer       |
| `short_code`     | The short code of the league                                   | string / null |
| `image_path`     | Image path to the league logo                                  | string        |
| `type`           | Indicates the type of the league                               | string        |
| `sub_type`       | Indicates the subtype of the league                            | string        |
| `last_played_at` | The date of when the last fixture was being held in the league | string        |
| `category`       | Indicates the category of the league                           | integer       |
| `has_jerseys`    | Not used in the Motorsport API                                 | boolean       |

**Include options**

`sport` `country` `stages` `latest` `upcoming` `inplay` `today` `currentSeason` `seasons`&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v3/motorsport-api/endpoints-and-entities/entities/league.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
